baz_depuncture_ff.h File Reference
`#include <gnuradio/block.h>`
`#include <boost/thread.hpp>`
Include dependency graph for baz_depuncture_ff.h:

Go to the source code of this file.

## Classes

class | baz_depuncture_ff
| square a stream of floats. More...

## Functions

BAZ_API baz_depuncture_ff_sptr | baz_make_depuncture_ff (const std::vector< int > &matrix)
| Return a shared_ptr to a new instance of baz_depuncture_ff. More...

## Variables

class BAZ_API | baz_depuncture_ff

## Function Documentation

## baz_make_depuncture_ff()

BAZ_API baz_depuncture_ff_sptr baz_make_depuncture_ff | ( | const std::vector< int > & | matrix | ) |

Return a shared_ptr to a new instance of baz_depuncture_ff.

To avoid accidental use of raw pointers, baz_depuncture_ff's constructor is private. baz_make_depuncture_ff is the public interface for creating new instances.

## Variable Documentation

## baz_depuncture_ff

class BAZ_API baz_depuncture_ff